doctrine:
    dbal:
        default_connection: console
        connections:
            console:
                url: '%env(resolve:CONSOLE_URL)%'
                driver: 'pdo_mysql'
                server_version: '5.7'
                charset: utf8mb4
            wordpress:
                url: '%env(resolve:WORDPRESS_URL)%'
                driver: 'pdo_mysql'
                server_version: '5.7'
                charset: utf8mb4
    orm:
        entity_managers:
            console:
                connection: console
                mappings:
                    Main:
                        is_bundle: false
                        type: attribute
                        dir: '%kernel.project_dir%/src/Entity/Console'
                        prefix: 'App\Entity\Console'
                        alias: Console
            wordpress:
                connection: wordpress
                mappings:
                    Customer:
                        is_bundle: false
                        type: attribute
                        dir: '%kernel.project_dir%/src/Entity/Wordpress'
                        prefix: 'App\Entity\Wordpress'
                        alias: Wordpress

when@test:
    doctrine:
        dbal:
            # "TEST_TOKEN" is typically set by ParaTest
            dbname_suffix: '_test%env(default::TEST_TOKEN)%'

when@prod:
    doctrine:
        orm:
            auto_generate_proxy_classes: false
            proxy_dir: '%kernel.build_dir%/doctrine/orm/Proxies'
            query_cache_driver:
                type: pool
                pool: doctrine.system_cache_pool
            result_cache_driver:
                type: pool
                pool: doctrine.result_cache_pool

    framework:
        cache:
            pools:
                doctrine.result_cache_pool:
                    adapter: cache.app
                doctrine.system_cache_pool:
                    adapter: cache.system
